php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #75144 APCu: needs something like "opcache.restrict_api"
Submitted: 2017-09-01 11:23 UTC Modified: 2021-06-22 12:19 UTC
From: spam2 at rhsoft dot net Assigned: cmb (profile)
Status: Closed Package: APC (PECL)
PHP Version: Irrelevant OS: Irrelevant
Private report: No CVE-ID: None
 [2017-09-01 11:23 UTC] spam2 at rhsoft dot net
Description:
------------
with "opcache.restrict_api=/usr/share/php/opcache.php" you can restrict cache-status especially list cached URLs to a specific file path and protect that one from outside access

for "apcu" you cuurently need to disallow "APCUIterator" and "apcu_cache_info, apcu_clear_cache, apcu_sma_info" and since all the disable_functions / disable_classes stuff don't work PER_DIR you have either no status infos at all or can't protect against abuse on a shared host




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2017-10-24 08:50 UTC] kalle@php.net
-Summary: apcu needs something like "opcache.restrict_api" +Summary: APCu: needs something like "opcache.restrict_api"
 [2021-06-22 12:19 UTC] cmb@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: cmb
 [2021-06-22 12:19 UTC] cmb@php.net
The bug tracker of APCu has been moved to Github[1].
If you stll experience this issue with the latest APCu
release (5.1.20), please report the issue there.

[1] <https://github.com/krakjoe/apcu/issues>
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Oct 17 06:03:41 2021 UTC